### Method

# FwupdPlugin Config set_basename

#### Declaration [src]

    void
    fu_config_set_basename (
      FuConfig* self,
      const gchar* basename
    )

#### Description [src]

Sets the name of the filename to load.

Available since: | 2.0.18

#### Parameters

`basename` | `const gchar*`
| A file basename, typically, `fwupd.conf`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.